<?php
/**
 * @version        1.14.0
 * @package        Joomla
 * @subpackage     Edocman
 * @author         Tuan Pham Ngoc
 * @copyright      Copyright (C) 2011 - 2025 Ossolution Team
 * @license        GNU/GPL, see LICENSE.php
 */

defined('_JEXEC') or die;

use Joomla\CMS\MVC\View\HtmlView;
use Joomla\CMS\Toolbar\ToolbarHelper;
use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;

class EdocmanViewExportdbHtml extends OSViewHtml
{
    protected $stats;
    
    public function display($tpl = null)
    {
        $model = $this->model;
        $this->stats = $model->getTableStatistics();
        $this->addToolbar();
        
        // Load CSS and JS
        //HTMLHelper::_('stylesheet', 'com_edocman/exportimport.css', array('relative' => true));
        //HTMLHelper::_('script', 'com_edocman/exportimport.js', array('relative' => true));
        
        parent::display($tpl);
    }
    
    protected function addToolbar()
    {
        EDocmanHelperHtml::renderSubmenu('exportimport');
        ToolbarHelper::title(Text::_('EDOCMAN_EXPORT_DATA'), 'download');
        ToolbarHelper::back('JTOOLBAR_BACK', 'index.php?option=com_edocman&view=exportimport');
    }
}
